curl -X POST 'https://api.clever.nivara.io/conversation/start?language=en'
{
"conversation_id": "conv_123abc456def",
"response": "Hello! I'm here to help you with any maintenance requests. Could you please tell me your name?",
"status": "started",
"customer_info": {
"name": null,
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
API Reference
Start Conversation
Start a new conversation with the Clever AI agent.
POST
/
conversation
/
start
curl -X POST 'https://api.clever.nivara.io/conversation/start?language=en'
{
"conversation_id": "conv_123abc456def",
"response": "Hello! I'm here to help you with any maintenance requests. Could you please tell me your name?",
"status": "started",
"customer_info": {
"name": null,
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}
Start a new conversation with the Clever AI agent. You can specify the language for the conversation (English or Italian).
Query Parameters
Language for the conversation. Can be:
enorenglishfor Englishitoritalianfor Italian (case insensitive)
Response
Current status of the conversation. One of:
startedin_progressawaiting_troubleshooting_confirmationtroubleshooting_in_progressawaiting_approvalcompletederror
Customer information object containing:
curl -X POST 'https://api.clever.nivara.io/conversation/start?language=en'
{
"conversation_id": "conv_123abc456def",
"response": "Hello! I'm here to help you with any maintenance requests. Could you please tell me your name?",
"status": "started",
"customer_info": {
"name": null,
"phone": null,
"address": null,
"issue": null,
"role": null,
"priority": null,
"type": null,
"date_time": "2024-03-21T10:30:00Z",
"submission_date_time": null
},
"is_complete": false
}